Package net.sourceforge.jiu.data

# Class MemoryRGB48Image

java.lang.Object
net.sourceforge.jiu.data.MemoryShortChannelImage
net.sourceforge.jiu.data.MemoryRGB48Image

All Implemented Interfaces:
  `IntegerImage`, `PixelImage`, `RGB48Image`, `RGBImage`, `RGBIndex`, `RGBIntegerImage`, `ShortChannelImage`

public class MemoryRGB48Image extends MemoryShortChannelImage implements RGB48Image
A class to store 48 bit RGB truecolor images in memory.

Since:
  0.12.0
Author:
  Marco Schmidt
See Also:
  - `RGB24Image`

## Field Summary

### Fields inherited from interface net.sourceforge.jiu.data.RGBIndex

`INDEX_BLUE, INDEX_GREEN, INDEX_RED`

## Constructor Summary

Constructors
Constructor
Description
`MemoryRGB48Image(int width, int height)`
Creates a new object of this class, with width and height as specified by the arguments.

## Method Summary

Modifier and Type
Method
Description
`PixelImage`
`createCompatibleImage(int width, int height)`
Creates an instance of the same class as this one, with width and height given by the arguments.
`Class`
`getImageType()`
If there is a single interface or class that describes the image data type of this class, the `Class` object associated with that interface (or class) is returned (or `null` otherwise).

### Methods inherited from class net.sourceforge.jiu.data.MemoryShortChannelImage

`checkPositionAndNumber, clear, clear, clear, clear, createCopy, getAllocatedMemory, getBitsPerPixel, getHeight, getMaxSample, getNumChannels, getSample, getSample, getSamples, getShortSample, getShortSample, getShortSamples, getWidth, putSample, putSample, putSamples, putShortSample, putShortSample, putShortSamples`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.sourceforge.jiu.data.IntegerImage

`clear, clear, getMaxSample, getSample, getSample, getSamples, putSample, putSample, putSamples`

### Methods inherited from interface net.sourceforge.jiu.data.PixelImage

`createCopy, getAllocatedMemory, getBitsPerPixel, getHeight, getNumChannels, getWidth`

### Methods inherited from interface net.sourceforge.jiu.data.ShortChannelImage

`clear, clear, getShortSample, getShortSample, getShortSamples, putShortSample, putShortSample, putShortSamples`

## Constructor Details

### MemoryRGB48Image

public MemoryRGB48Image(int width, int height)
Creates a new object of this class, with width and height as specified by the arguments.

Parameters:
  `width` - the horizontal resolution of the new image in pixels
  `height` - the vertical resolution of the new image in pixels

## Method Details

### createCompatibleImage

public PixelImage createCompatibleImage(int width, int height)
Description copied from interface: `PixelImage`
Creates an instance of the same class as this one, with width and height given by the arguments.

Specified by:
  `createCompatibleImage` in interface `PixelImage`
Specified by:
  `createCompatibleImage` in class `MemoryShortChannelImage`
Parameters:
  `width` - the horizontal resolution of the new image
  `height` - the vertical resolution of the new image
Returns:
  the new image

### getImageType

public Class getImageType()
Description copied from interface: `PixelImage`
If there is a single interface or class that describes the image data type of this class, the `Class` object associated with that interface (or class) is returned (or `null` otherwise). This `Class` object, if available for two image objects, can be used to find out if they are compatible. Example: `MemoryGray8Image` returns `net.sourceforge.jiu.data.Gray8Image.class`.

Specified by:
  `getImageType` in interface `PixelImage`